Create Evaluation Set Run

Create and start an async evaluation set run. The response returns the evaluation set run object with its initial status; use GET /evaluation_set_runs/{id} to poll for completion.

Evaluation set runs are currently supported for document processor evaluation sets.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-extend-api-version"2026-02-09"OptionalDefaults to 2026-02-09
API version to use for the request. If you're using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a `400 Bad Request` or be set to a previous legacy version. See [API Versioning](https://docs.extend.ai/2026-02-09/api-reference/api-versioning) for more details.
x-extend-workspace-idstringOptional
The workspace ID to target. **Required** when using an organization-scoped API key; optional for workspace-scoped keys (the key is already tied to a workspace). See [Authentication](https://docs.extend.ai/2026-02-09/api-reference/authentication) for details on API key scopes.

Request

This endpoint expects an object.
evaluationSetIdstringRequired
The ID of the evaluation set to run.
entityobjectOptional
Optional processor and version to run against the evaluation set. If omitted, the evaluation set's processor is run at its draft version.
evaluationSetItemIdslist of stringsOptional
Optional list of evaluation set item IDs to run. If omitted, all items in the evaluation set are run.

Response

Evaluation set run created successfully
objectenum

The type of object. In this case, it will always be "evaluation_set_run".

idstring

The unique identifier for this evaluation set run.

Example: "bpr_Xj8mK2pL9nR4vT7qY5wZ"

evaluationSetIdstring

The ID of the evaluation set that was run.

Example: "ev_2LcgeY_mp2T5yPaEuq5Lw"

entityobject
The extractor, classifier, or splitter that was run.
entityVersionobject
The version of the extractor, classifier, or splitter that was run.
metricsobject
statusenum

The status of a batch run:

  • "PENDING" - The batch has been created and is waiting to be processed
  • "PROCESSING" - The batch is currently being processed
  • "PROCESSED" - All runs in the batch have completed successfully
  • "FAILED" - The batch failed to process
  • "CANCELLED" - The batch was cancelled
optionsobject
The options for the evaluation set run.
createdAtstringformat: "date-time"

The time (in UTC) at which the object was created. Will follow the RFC 3339 format.

Example: "2024-03-21T16:45:00Z"

updatedAtstringformat: "date-time"

The time (in UTC) at which the object was last updated. Will follow the RFC 3339 format.

Example: "2024-03-21T16:45:00Z"

Errors

400
Bad Request Error
401
Unauthorized Error
402
Payment Required Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error